<?php
/**
 * DokuWiki bethico Template
 * Version: 2022-07-31a "Igor"
 * (c) 2014-2022, Bernard Condrau
 * 
 * 2022-10-07: fixed bethico_language
 * 
 * Dispatcher to handle requested language and set alternate dokuwiki template main file
 */
if(!defined('DOKU_INC')) die('test');

use dokuwiki\Extension\Event;

/**
 * initialize language
 */
function bethico_language($langcode = 'en') {

	global $INPUT, $ID;

	// get all installed languages
	$installed = glob('lib/tpl/bethico/lang/*', GLOB_ONLYDIR);
	foreach ($installed AS $dir) $languages[] = basename($dir);

	// get requested language and check whether language page exists: fallback to English if does not exist
	$view = explode(':', $ID);
	if (!pageinfo()['exists'] && in_array($view[0], $languages)) {
		$view[0] = $langcode;
		$ID = implode(':', $view);
		$INPUT->set('id', $ID);
	}
	return $view[0];
}
/**
 * All action processing starts here
 * function /inc/actions.php/act_dispatch() override
 */
function bethico_dispatch($index) {
    // always initialize on first dispatch (test request may dispatch mutliple times on one request)
    $router = \dokuwiki\ActionRouter::getInstance(true);

    $headers = array('Content-Type: text/html; charset=utf-8');
    Event::createAndTrigger('ACTION_HEADERS_SEND',$headers,'act_sendheaders');

    // clear internal variables
    unset($router);
    unset($headers);
    // make all globals available to the template
    extract($GLOBALS);

    include(template($index));
    // output for the commands is now handled in inc/templates.php
    // in function tpl_content()
}
function bethico_update_toc(&$toc, &$TOC) {
	$toc = array_values(array_map("unserialize", array_unique(array_map("serialize", $toc))));
	if (is_array($TOC)) $TOC = $toc;
}
function bethico_decode($html) {
	$method = 'rc4';
	$pass = 'BernardCondrau60';
	$data = gzdecode(openssl_decrypt(base64_decode(urldecode($html)), $method, $pass));
	return $data;
}
/*
 function help_toc(&$toc) {
 $check = array();
 foreach ($toc AS $key => $value) {
 if (!empty($check[$value['link']])) unset($toc[$key]);
 $check[$value['link']]=1;
 }
 //var_dump($toc);
 }
 */
