<?php
/**
 * DokuWiki bethico Template
 * (c) 2014-2020, Bernard Condrau
 * 
 * This file handles all menu definitions and menu translations
 * All menus must have an entry in lang/??/lang.php, but entry in styles/icon.php is optional
 */

// must be run from within DokuWiki
if (!defined('DOKU_INC')) die();

echo '<div id="dokuwiki__header">';
	// Left hand mobile menu
	echo '<div id="m1-header-left">';
		echo '<a id="m1-menu-ltrig" href="#m1-menu-left"><i class="fa fa-lg fa-bars"></i></a>';
	echo '</div>';

	// Logo and main center image
	echo '<div id="m1-header-center">';
		echo '<h1><a href="'.getBaseURL(false).'" class="m1-logo" accesskey="h">';
			$logo = 'logo-'.$tpl_bethico_identity.'.png';

			if (file_exists(tpl_incdir().'images/'.$logo)) {
				echo '<img src="'.tpl_basedir().'images/'.$logo.'" class="m1-imglogo" alt="'.hsc($conf["title"]).'"/>';
			} else {
				echo hsc($conf["title"]);
			}
		echo '</a></h1>';
	echo '</div>';

	// Right hand mobile menu
	echo '<div id="m1-header-right">';
		echo '<a id="m1-menu-strig" href="#"><i class="fa fa-lg fa-search"></i></a>';
		echo '<a id="m1-menu-rtrig" href="#m1-menu-right"><i class="fa fa-lg fa-cog"></i></a>';
	echo '</div>';

	// non-mobile menu, displayed for tablet and desktop viewing, hidden on phone size
	echo '<div id="m1-menu">';
		echo '<ul>';
			tpl_bethico_main_menu('head');
			tpl_bethico_login_menu('head');
    	echo '</ul>';
	echo '</div>';

	// search
	echo '<div id="m1-search">';
		tpl_searchform();
	echo '</div>';

	// breadcrumbs
	if($conf['breadcrumbs'] || $conf['youarehere']) {
		echo '<div class="breadcrumbs">';
			if($conf['youarehere']) {echo '<div class="youarehere">';tpl_youarehere();echo '</div>';}
			if($conf['breadcrumbs']) {echo '<div class="trace">';tpl_breadcrumbs();echo '</div>';}
		echo '</div>';
	}
echo '</div>'; // dokuwiki__header

/*
 * Mobile left, hidden on desktop
 */
echo '<div id="m1-menu-left">';
	echo '<ul>';
		tpl_bethico_main_menu('mobile');
	echo '</ul>';
echo '</div>';

/*
 * Mobile right, hidden on desktop
 */
echo '<div id="m1-menu-right">';
	echo '<ul>';
		tpl_bethico_login_menu('mobile');
	echo '</ul>';
echo '</div>';
