<?php
/**
 * DokuWiki bethico Template
 * (c) 2014-2022, Bernard Condrau
 * 
 * 2022-10-09: fixed some css, changed logic to get identity
 */

// must be run from within DokuWiki
if (!defined('DOKU_INC')) die();

@require_once(dirname(__FILE__).'/tpl_functions.php');
@require_once(dirname(__FILE__).'/tpl_copyright.php');

// identity of this DokuWiki
tpl_bethico_set_identity();

// template theme
$tplStyle = tpl_getConf('style');
//$tpl_bethico_identity = tpl_getConf('identity');
if (file_exists(tpl_incdir().'styles/style.'.$tplStyle.'.ini')) copy (tpl_incdir().'styles/style.'.$tplStyle.'.ini', tpl_incdir().'style.ini'); else copy (tpl_incdir().'styles/style.default.ini', tpl_incdir().'style.ini');

header('X-UA-Compatible: IE=edge,chrome=1');

echo '<!DOCTYPE html>';
echo '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="'.$conf['lang'].'" lang="'.$conf['lang'].'" dir="'.$lang['direction'].'" class="no-js">';
echo '<head>';
	echo '<meta charset="UTF-8" />';
	echo '<title>'.tpl_pagetitle(null, true).'['.strip_tags($conf['title']).']</title>';
	echo '<script>(function(H){H.className=H.className.replace(/\bno-js\b/,\'js\')})(document.documentElement)</script>';
	tpl_metaheaders();
	echo '<meta name="viewport" content="width=device-width,initial-scale=1" />';
	echo tpl_favicon(array('favicon', 'mobile'));
	tpl_includeFile('meta.html');

	// FontAwesome is required for the base functionality of the template. Load them here, disable loading in plugin:icons.
	echo '<link href="'.tpl_basedir().'css/font-awesome.min.css" rel="stylesheet" type="text/css">';
	echo '<link href="'.tpl_basedir().'css/fa-v4-shims.css" rel="stylesheet" type="text/css">';
echo '</head>';

echo '<body>';
	echo '<div id="dokuwiki__site help">';
		echo '<div id="dokuwiki__top" class="site '.tpl_classes().'">';
			html_msgarea(); // occasional error and info messages on top of the page

			// content
			echo '<div id="m1-pagewrapper">'; // Used to control site width on desktop browsers  
				echo '<div id="help__content">'; 
					tpl_flush(); // flush the output buffer
					echo '<div class="page">';
						tpl_content(); //the main content
						echo bethico_decode($INPUT->get->str('html'));
						echo '<div class="clearer"></div>';
					echo '</div>';
					tpl_flush();
				echo '</div>'; // dokuwiki__content
			echo '</div>'; // m1-pagewrapper

			// footer
			echo '<div id="help__footer">';
				echo '<div class="license">';
					echo '&copy; '.BETHICO_START_YEAR.(date('Y') > BETHICO_START_YEAR ? '-'.date('Y') : '').' '.BETHICO_OWNER_COPYRIGHT.BETHICO_USER_COPYRIGHT;
				echo '</div>';
			echo '</div>'; // help__footer
		echo '</div>'; // dokuwiki__top
	echo '</div>'; // dokuwiki__site

echo '</body>';
echo '</html>';
