<?php
/**
 * DokuWiki bethico Template
 * (c) 2020, Bernard Condrau
 * 
 * Menu definitions for the different wikis
 */
// must be run from within DokuWiki
if (!defined('DOKU_INC')) die;

function tpl_bethico_main_menu($position) {
	
	global $tpl_bethico_identity, $tpl_bethico_prefix;

	$show = 'e';
	switch ($id = $tpl_bethico_identity) {
		case 'bethico':
			$show = 'h';
		case 'bethicoleague':
			if ($position != 'side') tpl_bethico_menu($position, true, array(
					'g:home'			=> $tpl_bethico_prefix.'start',
			));
			if ($position != 'side') tpl_bethico_menu($position, true, array(
					'e:bethico'			=> 'https://www.bethico.com',
					$show.':leagues' 		=> 'https://www.bethicoleague.com/index.php/en/leagues',
					'e:league'			=> 'https://www.bethicoleague.com',
					'e:vinyl'			=> 'https://vinyl.bethico.com',
					'e:build'			=> 'https://build.bethico.com',
			));
			tpl_bethico_menu($position, false, array(
					'g:information'		=> $tpl_bethico_prefix.'howtos:start',
					'g:howtos'			=> $tpl_bethico_prefix.'howtos:start',
					'g:helpcenter'		=> $tpl_bethico_prefix.'help:start',
					'g:changelog'		=> $tpl_bethico_prefix.'docs:start',
					'g:documentation'	=> $tpl_bethico_prefix.'docs:start',
					'g:translation'		=> $tpl_bethico_prefix.'lang:start',
					'u:todo'			=> 'public:start',
					'g:legal'			=> $tpl_bethico_prefix.'legal:start',
					'a:reserved'		=> 'reserved:start',
			));
			break;
		case 'bco':
			if ($position != 'side') tpl_bethico_menu($position, true, array(
					'g:home' => 'start',
			));
			if ($position != 'side') tpl_bethico_menu($position, true, array(
					'g:about' => 'wiki:about',
			));
			if ($position != 'side') tpl_bethico_menu($position, false, array(
					'g:information'		=> 'public:start',
					'e:bethico'			=> 'https://www.bethico.com',
					'g:knowhow'			=> 'public:start',
					'u:registered'		=> 'registered:start',
					'a:reserved'		=> 'reserved:start',
			));
			break;
		case 'isa':
			if ($position != 'side') tpl_bethico_menu($position, true, array(
					'g:home'			=> 'start',
			));
			if ($position != 'side') tpl_bethico_menu($position, false, array(
					'g:information'		=> 'public:start',
					'u:registered'		=> 'registered:start',
					'a:reserved'		=> 'reserved:start',
			));
			break;
		default:
			if ($position != 'side') tpl_bethico_menu($position, true, array(
					'g:home'			=> 'start',
			));
	}
}
function tpl_bethico_side_menu() {
	
	global $tpl_bethico_identity, $tpl_bethico_prefix;

	switch ($tpl_bethico_identity) {
		case 'bethico':
		case 'bethicoleague':
			if (tpl_bethico_user_group('admin')) tpl_include_page('reserved:start', 1, 1);
			if (tpl_getConf('privacy')) tpl_bethico_button('privacy', $tpl_bethico_prefix.'legal:bethico:privacy', 'font-size:20px');
			if (tpl_getConf('notice')) tpl_bethico_button('notice', $tpl_bethico_prefix.'legal:bethico:notice', 'font-size:20px');
			if (tpl_bethico_user_group('user')) tpl_include_page('wiki:online', 1, 1);
			break;
		case 'bco':
		case 'isa':
			tpl_include_page('public:start', 1, 1);
			if (tpl_bethico_user_group('user')) tpl_include_page('registered:start', 1, 1);
			if (tpl_bethico_user_group('admin')) tpl_include_page('reserved:start', 1, 1);
			if (tpl_getConf('privacy')) tpl_bethico_button('privacy', 'public:legal:privacy', 'font-size:20px');
			if (tpl_getConf('notice')) tpl_bethico_button('notice', 'public:legal:notice', 'font-size:20px');
			if (tpl_bethico_user_group('user')) tpl_include_page('wiki:online', 1, 1);
			break;
		default:
	}
}
